Update a connection
curl --request PUT \
--url https://api.getdialed.ai/flows/connections/{connection_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"auth_method": "basic_auth",
"credentials": {
"password": "REPLACE_ME",
"username": "api_user@example"
},
"name": "Five9 Production",
"platform_id": "five9",
"service_id": "five9__configuration",
"status": "active"
}
'import requests
url = "https://api.getdialed.ai/flows/connections/{connection_id}"
payload = {
"auth_method": "basic_auth",
"credentials": {
"password": "REPLACE_ME",
"username": "api_user@example"
},
"name": "Five9 Production",
"platform_id": "five9",
"service_id": "five9__configuration",
"status": "active"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auth_method: 'basic_auth',
credentials: {password: 'REPLACE_ME', username: 'api_user@example'},
name: 'Five9 Production',
platform_id: 'five9',
service_id: 'five9__configuration',
status: 'active'
})
};
fetch('https://api.getdialed.ai/flows/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auth_method": "basic_auth",
"created_by": "user_11223344",
"credentials_ref": "getdialed/acme/five9/conn_e5f6g7h8",
"id": "conn_e5f6g7h8",
"last_verified": "2026-07-09T18:00:00Z",
"name": "Five9 Production",
"org_id": "org_a1b2c3d4",
"platform_id": "five9",
"service_id": "five9__configuration",
"status": "active"
}{
"detail": "Referenced secret does not exist: getdialed/acme/five9/conn_e5f6g7h8"
}{
"detail": "Authentication required"
}{
"detail": "Admin role required"
}{
"detail": "Connection not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit exceeded: 100 per 1 minute"
}connections
Update a connection
Replace a connection’s mutable fields. Admin only. Server-managed fields (created_by, last_verified) are preserved. Cross-tenant access returns 404.
PUT
/
connections
/
{connection_id}
Update a connection
Authorizations
APIKeyHeaderHTTPBearer
Path Parameters
Body
application/json
Available options:
basic_auth, oauth2, client_credentials, jwt, api_key, soap_wss Available options:
active, expired, revoked ⌘I